package digital.laboratory.platform.inspection.enums;

import lombok.Getter;

@Getter
public enum TestRecordFileUrl {

    TEMPORARY_PATH("C:\\tmp\\upload\\"),
    TEST_RECORD_BIOLOGICAL_SAMPLE_TEMPLATE("template/生物样本检验记录模板.docx"),
    TEST_RECORD_BIOLOGICAL_SAMPLE_INSTRUMENT_CONDITION_TEMPLATE("template/生物样本仪器条件模板.docx"),
    TEST_RECORD_SEIZURE_TEMPLATE("template/缴获物检验记录模板.docx"),
    TEST_RECORD_SEIZURE_INSTRUMENT_CONDITION_TEMPLATE("template/缴获物仪器条件模板.docx"),
    TEST_RECORD_CATALOGUE("document" + "/" + "testRecord"),
    TEST_TEMPLATE_CATALOGUE("document" + "/" + "testTemplate"),
    TEST_ATLAS_PATH("testRecord/testAtlas/")
    ;
    private final String fileUrl;

    TestRecordFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }
}
